﻿Imports System.Collections.Generic
Imports System.Collections.Specialized

Public Class frm_AddPic

    Dim LastTextField As Control

    Private Sub Form_Load(sender As Object, e As EventArgs) Handles MyBase.Load
        Me.SetStyle(ControlStyles.OptimizedDoubleBuffer, True)
        Me.UpdateStyles()
    End Sub

    Private Sub btn_Browse_Click(sender As Object, e As EventArgs) Handles btn_Browse.Click
        Select Case ofd_Pictures.ShowDialog(Me)
            Case DialogResult.OK
                PicOK(ofd_Pictures.FileName)
        End Select
    End Sub

    Private Sub PicOK(ByVal Path As String)
        If File.Exists(Path) Then
            rtb_PicBinary.Text = Path
            PathBoundPictureBox1.PicturePath = rtb_PicBinary.Text
            If txtb_PicName.Text = "" Then
                txtb_PicName.Text = Path.getFileName(False)
                txtb_PicName.Select()
            End If
        End If
    End Sub

    Private Sub btn_Save_Click(sender As Object, e As EventArgs) Handles btn_Save.Click
        Dim CopyPath As String = My.Settings.db_rootPath & "\Additional\Pictures\" & rtb_PicBinary.Text.getFileName(True)
        Dim ExistPath As String = My.Settings.db_rootPath & "\Additional\Pictures\" & rtb_PicBinary.Text.getFileName(False)
        If Not File.Exists(CopyPath) Then
            File.Copy(rtb_PicBinary.Text, CopyPath, True)
            rtb_PicBinary.Text = CopyPath
        Else
            Dim I As Integer = 2
            Do While File.Exists(ExistPath & "(" & I & ")" & rtb_PicBinary.Text.getFileExtension)
                I += 1
            Loop
            File.Copy(rtb_PicBinary.Text, ExistPath & "(" & I & ")" & rtb_PicBinary.Text.getFileExtension, True)
            rtb_PicBinary.Text = ExistPath & "(" & I & ")" & rtb_PicBinary.Text.getFileExtension
        End If
        bs_Pictures.EndEdit()
        Me.DialogResult = DialogResult.OK
        Validate()
        Close()
    End Sub
    Private Sub btn_Cancel_Click(sender As Object, e As EventArgs) Handles btn_Cancel.Click
        Me.DialogResult = DialogResult.Cancel
        Close()
    End Sub

    'Dim LastTextField As Control
    Private Sub ctsmi_Copy_Click(sender As Object, e As EventArgs) Handles ctsmi_Copy.Click
        Try
            Dim t As TextBoxBase = CType(LastTextField, TextBoxBase)
            Clipboard.SetText(t.SelectedText)
        Catch ex As Exception
        End Try
    End Sub
    Private Sub ctsmi_Paste_Click(sender As Object, e As EventArgs) Handles ctsmi_Paste.Click
        Try
            Dim t As TextBoxBase = CType(LastTextField, TextBoxBase)
            t.SelectedText = Clipboard.GetText
        Catch ex As Exception
        End Try
    End Sub
    Private Sub cms_CopyPaste_Opening(sender As Object, e As CancelEventArgs) Handles cms_CopyPaste.Opening
        LastTextField = cms_CopyPaste.SourceControl
    End Sub
    Private Sub txtb_PicName_KeyDown(sender As Object, e As KeyEventArgs) Handles txtb_PicName.KeyDown
        Select Case e.KeyData
            Case Keys.Escape
                btn_Cancel.PerformClick()
            Case Keys.Enter
                btn_Save.PerformClick()
        End Select
    End Sub


    Private Sub PathBoundPictureBox1_DragDrop(sender As Object, e As DragEventArgs) Handles PathBoundPictureBox1.DragDrop
        Dim data = DirectCast(e.Data, DataObject)
        Dim files As StringCollection = data.GetFileDropList
        For Each file As String In files
            PicOK(file)
        Next
    End Sub
    Private Sub PathBoundPictureBox1_DragEnter(sender As Object, e As DragEventArgs) Handles PathBoundPictureBox1.DragEnter
        Dim data = DirectCast(e.Data, DataObject)
        Dim files As StringCollection = data.GetFileDropList
        If (e.Data.GetDataPresent(DataFormats.FileDrop)) Then
            If files.Count < 2 Then
                Dim DropOK As Boolean = False
                For Each s As String In files
                    If s.Contains(".jpg") OrElse s.Contains(".bmp") OrElse s.Contains(".png") OrElse s.Contains(".ico") Then
                        DropOK = True
                    End If
                Next
                If DropOK Then
                    e.Effect = DragDropEffects.Copy
                Else
                    e.Effect = DragDropEffects.None
                End If
            Else
                e.Effect = DragDropEffects.None
            End If
        Else
            e.Effect = DragDropEffects.None
        End If
    End Sub
End Class