﻿Public Class frm_CategoryName

    Dim LastTextField As Control

    Private Sub Form_Load(sender As Object, e As EventArgs) Handles MyBase.Load
        'Basic
        Me.SetStyle(ControlStyles.OptimizedDoubleBuffer, True)
        Me.UpdateStyles()
        'Basic
    End Sub

    Private Sub btn_Save_Click(sender As Object, e As EventArgs) Handles btn_Save.Click
        Try
            bs_Categorys.EndEdit()
            Validate()
            Me.DialogResult = DialogResult.OK
            Close()
        Catch ex As Exception
            MessageBox.Show(ex.ToString)
        End Try
    End Sub

    Private Sub btn_Cancel_Click(sender As Object, e As EventArgs) Handles btn_Cancel.Click
        Me.DialogResult = DialogResult.Cancel
        Close()
    End Sub

    Private Sub txtb_CategoryName_TextChanged(sender As Object, e As EventArgs) Handles txtb_CategoryName.TextChanged
        If txtb_CategoryName.Text <> "" Then
            btn_Save.Enabled = True
        Else
            btn_Save.Enabled = False
        End If
    End Sub

    'Dim LastTextField As Control
    Private Sub ctsmi_Copy_Click(sender As Object, e As EventArgs) Handles ctsmi_Copy.Click
        Try
            Dim t As TextBoxBase = CType(LastTextField, TextBoxBase)
            Clipboard.SetText(t.SelectedText)
        Catch ex As Exception
        End Try
    End Sub
    Private Sub ctsmi_Paste_Click(sender As Object, e As EventArgs) Handles ctsmi_Paste.Click
        Try
            Dim t As TextBoxBase = CType(LastTextField, TextBoxBase)
            t.SelectedText = Clipboard.GetText
        Catch ex As Exception
        End Try
    End Sub
    Private Sub cms_CopyPaste_Opening(sender As Object, e As CancelEventArgs) Handles cms_CopyPaste.Opening
        LastTextField = cms_CopyPaste.SourceControl
    End Sub

    Private Sub txtb_CategoryName_KeyDown(sender As Object, e As KeyEventArgs) Handles txtb_CategoryName.KeyDown
        Select Case e.KeyData
            Case Keys.Escape
                btn_Cancel.PerformClick()
            Case Keys.Enter
                btn_Save.PerformClick()
        End Select
    End Sub
End Class